package com.pcloud.book.book.dao;

import com.pcloud.book.book.entity.SearchRecord;
import com.pcloud.common.core.dao.BaseDao;

import java.util.List;

public interface SearchRecordDao extends BaseDao<SearchRecord> {
    void deleteByWxId(String wxId);

    List<String> getRecent5WxIds(Long bookId);

    void updateUserDeleteByWxId(String wxId, Boolean userDelete);
}
